Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(51)

Unified Diff: third_party/node/update_npm_deps

Issue 2574033002: Downloading Node and NPM deps via gclient sync. (Closed)
Patch Set: Add missing sha1 file. Created 3 years, 11 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « third_party/node/update_node_binaries ('k') | third_party/node/win/node.exe.sha1 » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: third_party/node/update_npm_deps
diff --git a/third_party/node/update_npm_deps b/third_party/node/update_npm_deps
new file mode 100755
index 0000000000000000000000000000000000000000..187d05d9b567f281a06af1ccfa4514010e15f85e
--- /dev/null
+++ b/third_party/node/update_npm_deps
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+# Copyright 2017 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+# Script for updating WebUI's NPM deps.
+# 1) Update package.json file to point to the desired version.
+# 2) Run this script.
+# 3) Upload the compressed node_modules.tar.gz file to the Google Storage
+# bucket (commands to upload binaries are printed at step 2).
+# 4) Land a CL with the changes generated by this script.
+
+set -eu
+cd "$(dirname "$0")"
+
+rm -rf node_modules
+
+npm install --no-bin-links --only=prod
+rsync -c --delete -r -q --exclude-from="npm_exclude.txt" \
+ --prune-empty-dirs "node_modules/" "node_modules_filtered/"
+
+echo -e "\n---------------------------------------------------------"
+echo "Before filtering:" size: $(du -h node_modules/ | tail -n1 | cut -f1) ", files: " $(find node_modules/ -type f | wc -l)
+rm -r node_modules
+mv node_modules_filtered node_modules
+
+echo "After filtering:" size: $(du -h node_modules/ | tail -n1 | cut -f1) ", files: " $(find node_modules/ -type f | wc -l)
+
+tar cfz node_modules.tar.gz node_modules
+echo "After compressing:" size: $(du -h node_modules.tar.gz | tail -n1 | cut -f1)
+
+sha1="$(sha1sum node_modules.tar.gz | cut -d ' ' -f1)"
+echo "${sha1}" > node_modules.tar.gz.sha1
+echo "Please run the following manually to update Google Storage bucket:"
+echo "> gsutil.py cp node_modules.tar.gz gs://chromium-nodejs/${sha1}"
+echo "DONE"
+echo -e "---------------------------------------------------------"
« no previous file with comments | « third_party/node/update_node_binaries ('k') | third_party/node/win/node.exe.sha1 » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698